com.h3c.util.snmp.constants

## Interface SnmpFrameworkMib

-     public interface SnmpFrameworkMib

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `OID_dod` dod : unknown syntax type iso(1).org(3).dod(6)
    `static String` | `OID_dod_0` dod.0 : unknown syntax type iso(1).org(3).dod(6).0
    `static String` | `OID_internet` internet : unknown syntax type iso(1).org(3).dod(6).internet(1)
    `static String` | `OID_internet_0` internet.0 : unknown syntax type iso(1).org(3).dod(6).internet(1).0
    `static String` | `OID_iso` iso : unknown syntax type iso(1)
    `static String` | `OID_iso_0` iso.0 : unknown syntax type iso(1).0
    `static String` | `OID_org` org : unknown syntax type iso(1).org(3)
    `static String` | `OID_org_0` org.0 : unknown syntax type iso(1).org(3).0
    `static String` | `OID_snmpAuthProtocols` snmpAuthProtocols : unknown syntax type iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3).snmpFrameworkMIB(10).snmpFrameworkAdmin(1).snmpAuthProtocols(1)
    `static String` | `OID_snmpAuthProtocols_0` snmpAuthProtocols.0 : unknown syntax type iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3).snmpFrameworkMIB(10).snmpFrameworkAdmin(1).snmpAuthProtocols(1).0
    `static String` | `OID_snmpEngine` snmpEngine : unknown syntax type iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3).snmpFrameworkMIB(10).snmpFrameworkMIBObjects(2).snmpEngine(1)
    `static String` | `OID_snmpEngine_0` snmpEngine.0 : unknown syntax type iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3).snmpFrameworkMIB(10).snmpFrameworkMIBObjects(2).snmpEngine(1).0
    `static String` | `OID_snmpEngineBoots` snmpEngineBoots : INTEGER iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3).snmpFrameworkMIB(10).snmpFrameworkMIBObjects(2).snmpEngine(1).snmpEngineBoots(2)
    `static String` | `OID_snmpEngineBoots_0` snmpEngineBoots.0 : INTEGER iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3).snmpFrameworkMIB(10).snmpFrameworkMIBObjects(2).snmpEngine(1).snmpEngineBoots(2).0
    `static String` | `OID_snmpEngineGroup` snmpEngineGroup : unknown syntax type iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3).snmpFrameworkMIB(10).snmpFrameworkMIBConformance(3).snmpFrameworkMIBGroups(2).snmpEngineGroup(1)
    `static String` | `OID_snmpEngineGroup_0` snmpEngineGroup.0 : unknown syntax type iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3).snmpFrameworkMIB(10).snmpFrameworkMIBConformance(3).snmpFrameworkMIBGroups(2).snmpEngineGroup(1).0
    `static String` | `OID_snmpEngineID` snmpEngineID : OCTET iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3).snmpFrameworkMIB(10).snmpFrameworkMIBObjects(2).snmpEngine(1).snmpEngineID(1)
    `static String` | `OID_snmpEngineID_0` snmpEngineID.0 : OCTET iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3).snmpFrameworkMIB(10).snmpFrameworkMIBObjects(2).snmpEngine(1).snmpEngineID(1).0
    `static String` | `OID_snmpEngineMaxMessageSize` snmpEngineMaxMessageSize : INTEGER iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3).snmpFrameworkMIB(10).snmpFrameworkMIBObjects(2).snmpEngine(1).snmpEngineMaxMessageSize(4)
    `static String` | `OID_snmpEngineMaxMessageSize_0` snmpEngineMaxMessageSize.0 : INTEGER iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3).snmpFrameworkMIB(10).snmpFrameworkMIBObjects(2).snmpEngine(1).snmpEngineMaxMessageSize(4).0
    `static String` | `OID_snmpEngineTime` snmpEngineTime : INTEGER iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3).snmpFrameworkMIB(10).snmpFrameworkMIBObjects(2).snmpEngine(1).snmpEngineTime(3)
    `static String` | `OID_snmpEngineTime_0` snmpEngineTime.0 : INTEGER iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3).snmpFrameworkMIB(10).snmpFrameworkMIBObjects(2).snmpEngine(1).snmpEngineTime(3).0
    `static String` | `OID_snmpFrameworkAdmin` snmpFrameworkAdmin : unknown syntax type iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3).snmpFrameworkMIB(10).snmpFrameworkAdmin(1)
    `static String` | `OID_snmpFrameworkAdmin_0` snmpFrameworkAdmin.0 : unknown syntax type iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3).snmpFrameworkMIB(10).snmpFrameworkAdmin(1).0
    `static String` | `OID_snmpFrameworkMIB` snmpFrameworkMIB : unknown syntax type iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3).snmpFrameworkMIB(10)
    `static String` | `OID_snmpFrameworkMIB_0` snmpFrameworkMIB.0 : unknown syntax type iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3).snmpFrameworkMIB(10).0
    `static String` | `OID_snmpFrameworkMIBCompliance` snmpFrameworkMIBCompliance : unknown syntax type iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3).snmpFrameworkMIB(10).snmpFrameworkMIBConformance(3).snmpFrameworkMIBCompliances(1).snmpFrameworkMIBCompliance(1)
    `static String` | `OID_snmpFrameworkMIBCompliance_0` snmpFrameworkMIBCompliance.0 : unknown syntax type iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3).snmpFrameworkMIB(10).snmpFrameworkMIBConformance(3).snmpFrameworkMIBCompliances(1).snmpFrameworkMIBCompliance(1).0
    `static String` | `OID_snmpFrameworkMIBCompliances` snmpFrameworkMIBCompliances : unknown syntax type iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3).snmpFrameworkMIB(10).snmpFrameworkMIBConformance(3).snmpFrameworkMIBCompliances(1)
    `static String` | `OID_snmpFrameworkMIBCompliances_0` snmpFrameworkMIBCompliances.0 : unknown syntax type iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3).snmpFrameworkMIB(10).snmpFrameworkMIBConformance(3).snmpFrameworkMIBCompliances(1).0
    `static String` | `OID_snmpFrameworkMIBConformance` snmpFrameworkMIBConformance : unknown syntax type iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3).snmpFrameworkMIB(10).snmpFrameworkMIBConformance(3)
    `static String` | `OID_snmpFrameworkMIBConformance_0` snmpFrameworkMIBConformance.0 : unknown syntax type iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3).snmpFrameworkMIB(10).snmpFrameworkMIBConformance(3).0
    `static String` | `OID_snmpFrameworkMIBGroups` snmpFrameworkMIBGroups : unknown syntax type iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3).snmpFrameworkMIB(10).snmpFrameworkMIBConformance(3).snmpFrameworkMIBGroups(2)
    `static String` | `OID_snmpFrameworkMIBGroups_0` snmpFrameworkMIBGroups.0 : unknown syntax type iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3).snmpFrameworkMIB(10).snmpFrameworkMIBConformance(3).snmpFrameworkMIBGroups(2).0
    `static String` | `OID_snmpFrameworkMIBObjects` snmpFrameworkMIBObjects : unknown syntax type iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3).snmpFrameworkMIB(10).snmpFrameworkMIBObjects(2)
    `static String` | `OID_snmpFrameworkMIBObjects_0` snmpFrameworkMIBObjects.0 : unknown syntax type iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3).snmpFrameworkMIB(10).snmpFrameworkMIBObjects(2).0
    `static String` | `OID_snmpModules` snmpModules : unknown syntax type iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3)
    `static String` | `OID_snmpModules_0` snmpModules.0 : unknown syntax type iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3).0
    `static String` | `OID_snmpPrivProtocols` snmpPrivProtocols : unknown syntax type iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3).snmpFrameworkMIB(10).snmpFrameworkAdmin(1).snmpPrivProtocols(2)
    `static String` | `OID_snmpPrivProtocols_0` snmpPrivProtocols.0 : unknown syntax type iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3).snmpFrameworkMIB(10).snmpFrameworkAdmin(1).snmpPrivProtocols(2).0
    `static String` | `OID_snmpV2` snmpV2 : unknown syntax type iso(1).org(3).dod(6).internet(1).snmpV2(6)
    `static String` | `OID_snmpV2_0` snmpV2.0 : unknown syntax type iso(1).org(3).dod(6).internet(1).snmpV2(6).0

- - ### Field Detail

    - #### OID_iso

          static final String OID_iso

      iso : unknown syntax type
      iso(1)
      See Also:
        Constant Field Values

    - #### OID_iso_0

          static final String OID_iso_0

      iso.0 : unknown syntax type
      iso(1).0
      See Also:
        Constant Field Values

    - #### OID_org

          static final String OID_org

      org : unknown syntax type
      iso(1).org(3)
      See Also:
        Constant Field Values

    - #### OID_org_0

          static final String OID_org_0

      org.0 : unknown syntax type
      iso(1).org(3).0
      See Also:
        Constant Field Values

    - #### OID_dod

          static final String OID_dod

      dod : unknown syntax type
      iso(1).org(3).dod(6)
      See Also:
        Constant Field Values

    - #### OID_dod_0

          static final String OID_dod_0

      dod.0 : unknown syntax type
      iso(1).org(3).dod(6).0
      See Also:
        Constant Field Values

    - #### OID_internet

          static final String OID_internet

      internet : unknown syntax type
      iso(1).org(3).dod(6).internet(1)
      See Also:
        Constant Field Values

    - #### OID_internet_0

          static final String OID_internet_0

      internet.0 : unknown syntax type
      iso(1).org(3).dod(6).internet(1).0
      See Also:
        Constant Field Values

    - #### OID_snmpV2

          static final String OID_snmpV2

      snmpV2 : unknown syntax type
      iso(1).org(3).dod(6).internet(1).snmpV2(6)
      See Also:
        Constant Field Values

    - #### OID_snmpV2_0

          static final String OID_snmpV2_0

      snmpV2.0 : unknown syntax type
      iso(1).org(3).dod(6).internet(1).snmpV2(6).0
      See Also:
        Constant Field Values

    - #### OID_snmpModules

          static final String OID_snmpModules

      snmpModules : unknown syntax type
      iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3)
      See Also:
        Constant Field Values

    - #### OID_snmpModules_0

          static final String OID_snmpModules_0

      snmpModules.0 : unknown syntax type
      iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3).0
      See Also:
        Constant Field Values

    - #### OID_snmpFrameworkMIB

          static final String OID_snmpFrameworkMIB

      snmpFrameworkMIB : unknown syntax type
      iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3).snmpFrameworkMIB(10)
      See Also:
        Constant Field Values

    - #### OID_snmpFrameworkMIB_0

          static final String OID_snmpFrameworkMIB_0

      snmpFrameworkMIB.0 : unknown syntax type
      iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3).snmpFrameworkMIB(10).0
      See Also:
        Constant Field Values

    - #### OID_snmpFrameworkAdmin

          static final String OID_snmpFrameworkAdmin

      snmpFrameworkAdmin : unknown syntax type
      iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3).snmpFrameworkMIB(10).snmpFrameworkAdmin(1)
      See Also:
        Constant Field Values

    - #### OID_snmpFrameworkAdmin_0

          static final String OID_snmpFrameworkAdmin_0

      snmpFrameworkAdmin.0 : unknown syntax type
      iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3).snmpFrameworkMIB(10).snmpFrameworkAdmin(1).0
      See Also:
        Constant Field Values

    - #### OID_snmpAuthProtocols

          static final String OID_snmpAuthProtocols

      snmpAuthProtocols : unknown syntax type
      iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3).snmpFrameworkMIB(10).snmpFrameworkAdmin(1).snmpAuthProtocols(1)
      See Also:
        Constant Field Values

    - #### OID_snmpAuthProtocols_0

          static final String OID_snmpAuthProtocols_0

      snmpAuthProtocols.0 : unknown syntax type
      iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3).snmpFrameworkMIB(10).snmpFrameworkAdmin(1).snmpAuthProtocols(1).0
      See Also:
        Constant Field Values

    - #### OID_snmpPrivProtocols

          static final String OID_snmpPrivProtocols

      snmpPrivProtocols : unknown syntax type
      iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3).snmpFrameworkMIB(10).snmpFrameworkAdmin(1).snmpPrivProtocols(2)
      See Also:
        Constant Field Values

    - #### OID_snmpPrivProtocols_0

          static final String OID_snmpPrivProtocols_0

      snmpPrivProtocols.0 : unknown syntax type
      iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3).snmpFrameworkMIB(10).snmpFrameworkAdmin(1).snmpPrivProtocols(2).0
      See Also:
        Constant Field Values

    - #### OID_snmpFrameworkMIBObjects

          static final String OID_snmpFrameworkMIBObjects

      snmpFrameworkMIBObjects : unknown syntax type
      iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3).snmpFrameworkMIB(10).snmpFrameworkMIBObjects(2)
      See Also:
        Constant Field Values

    - #### OID_snmpFrameworkMIBObjects_0

          static final String OID_snmpFrameworkMIBObjects_0

      snmpFrameworkMIBObjects.0 : unknown syntax type
      iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3).snmpFrameworkMIB(10).snmpFrameworkMIBObjects(2).0
      See Also:
        Constant Field Values

    - #### OID_snmpEngine

          static final String OID_snmpEngine

      snmpEngine : unknown syntax type
      iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3).snmpFrameworkMIB(10).snmpFrameworkMIBObjects(2).snmpEngine(1)
      See Also:
        Constant Field Values

    - #### OID_snmpEngine_0

          static final String OID_snmpEngine_0

      snmpEngine.0 : unknown syntax type
      iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3).snmpFrameworkMIB(10).snmpFrameworkMIBObjects(2).snmpEngine(1).0
      See Also:
        Constant Field Values

    - #### OID_snmpEngineID

          static final String OID_snmpEngineID

      snmpEngineID : OCTET
      iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3).snmpFrameworkMIB(10).snmpFrameworkMIBObjects(2).snmpEngine(1).snmpEngineID(1)
      See Also:
        Constant Field Values

    - #### OID_snmpEngineID_0

          static final String OID_snmpEngineID_0

      snmpEngineID.0 : OCTET
      iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3).snmpFrameworkMIB(10).snmpFrameworkMIBObjects(2).snmpEngine(1).snmpEngineID(1).0
      See Also:
        Constant Field Values

    - #### OID_snmpEngineBoots

          static final String OID_snmpEngineBoots

      snmpEngineBoots : INTEGER
      iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3).snmpFrameworkMIB(10).snmpFrameworkMIBObjects(2).snmpEngine(1).snmpEngineBoots(2)
      See Also:
        Constant Field Values

    - #### OID_snmpEngineBoots_0

          static final String OID_snmpEngineBoots_0

      snmpEngineBoots.0 : INTEGER
      iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3).snmpFrameworkMIB(10).snmpFrameworkMIBObjects(2).snmpEngine(1).snmpEngineBoots(2).0
      See Also:
        Constant Field Values

    - #### OID_snmpEngineTime

          static final String OID_snmpEngineTime

      snmpEngineTime : INTEGER
      iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3).snmpFrameworkMIB(10).snmpFrameworkMIBObjects(2).snmpEngine(1).snmpEngineTime(3)
      See Also:
        Constant Field Values

    - #### OID_snmpEngineTime_0

          static final String OID_snmpEngineTime_0

      snmpEngineTime.0 : INTEGER
      iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3).snmpFrameworkMIB(10).snmpFrameworkMIBObjects(2).snmpEngine(1).snmpEngineTime(3).0
      See Also:
        Constant Field Values

    - #### OID_snmpEngineMaxMessageSize

          static final String OID_snmpEngineMaxMessageSize

      snmpEngineMaxMessageSize : INTEGER
      iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3).snmpFrameworkMIB(10).snmpFrameworkMIBObjects(2).snmpEngine(1).snmpEngineMaxMessageSize(4)
      See Also:
        Constant Field Values

    - #### OID_snmpEngineMaxMessageSize_0

          static final String OID_snmpEngineMaxMessageSize_0

      snmpEngineMaxMessageSize.0 : INTEGER
      iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3).snmpFrameworkMIB(10).snmpFrameworkMIBObjects(2).snmpEngine(1).snmpEngineMaxMessageSize(4).0
      See Also:
        Constant Field Values

    - #### OID_snmpFrameworkMIBConformance

          static final String OID_snmpFrameworkMIBConformance

      snmpFrameworkMIBConformance : unknown syntax type
      iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3).snmpFrameworkMIB(10).snmpFrameworkMIBConformance(3)
      See Also:
        Constant Field Values

    - #### OID_snmpFrameworkMIBConformance_0

          static final String OID_snmpFrameworkMIBConformance_0

      snmpFrameworkMIBConformance.0 : unknown syntax type
      iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3).snmpFrameworkMIB(10).snmpFrameworkMIBConformance(3).0
      See Also:
        Constant Field Values

    - #### OID_snmpFrameworkMIBCompliances

          static final String OID_snmpFrameworkMIBCompliances

      snmpFrameworkMIBCompliances : unknown syntax type
      iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3).snmpFrameworkMIB(10).snmpFrameworkMIBConformance(3).snmpFrameworkMIBCompliances(1)
      See Also:
        Constant Field Values

    - #### OID_snmpFrameworkMIBCompliances_0

          static final String OID_snmpFrameworkMIBCompliances_0

      snmpFrameworkMIBCompliances.0 : unknown syntax type
      iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3).snmpFrameworkMIB(10).snmpFrameworkMIBConformance(3).snmpFrameworkMIBCompliances(1).0
      See Also:
        Constant Field Values

    - #### OID_snmpFrameworkMIBCompliance

          static final String OID_snmpFrameworkMIBCompliance

      snmpFrameworkMIBCompliance : unknown syntax type
      iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3).snmpFrameworkMIB(10).snmpFrameworkMIBConformance(3).snmpFrameworkMIBCompliances(1).snmpFrameworkMIBCompliance(1)
      See Also:
        Constant Field Values

    - #### OID_snmpFrameworkMIBCompliance_0

          static final String OID_snmpFrameworkMIBCompliance_0

      snmpFrameworkMIBCompliance.0 : unknown syntax type
      iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3).snmpFrameworkMIB(10).snmpFrameworkMIBConformance(3).snmpFrameworkMIBCompliances(1).snmpFrameworkMIBCompliance(1).0
      See Also:
        Constant Field Values

    - #### OID_snmpFrameworkMIBGroups

          static final String OID_snmpFrameworkMIBGroups

      snmpFrameworkMIBGroups : unknown syntax type
      iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3).snmpFrameworkMIB(10).snmpFrameworkMIBConformance(3).snmpFrameworkMIBGroups(2)
      See Also:
        Constant Field Values

    - #### OID_snmpFrameworkMIBGroups_0

          static final String OID_snmpFrameworkMIBGroups_0

      snmpFrameworkMIBGroups.0 : unknown syntax type
      iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3).snmpFrameworkMIB(10).snmpFrameworkMIBConformance(3).snmpFrameworkMIBGroups(2).0
      See Also:
        Constant Field Values

    - #### OID_snmpEngineGroup

          static final String OID_snmpEngineGroup

      snmpEngineGroup : unknown syntax type
      iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3).snmpFrameworkMIB(10).snmpFrameworkMIBConformance(3).snmpFrameworkMIBGroups(2).snmpEngineGroup(1)
      See Also:
        Constant Field Values

    - #### OID_snmpEngineGroup_0

          static final String OID_snmpEngineGroup_0

      snmpEngineGroup.0 : unknown syntax type
      iso(1).org(3).dod(6).internet(1).snmpV2(6).snmpModules(3).snmpFrameworkMIB(10).snmpFrameworkMIBConformance(3).snmpFrameworkMIBGroups(2).snmpEngineGroup(1).0
      See Also:
        Constant Field Values

Copyright © 2014. All Rights Reserved.